ALAS-2016-662


Amazon Linux AMI Security Advisory: ALAS-2016-662
Advisory Release Date: 2016-03-10 16:30 Pacific
Severity: Important
References: CVE-2016-0773 

Issue Overview:

An integer overflow flaw, leading to a heap-based buffer overflow, was found in the PostgreSQL handling code for regular expressions. A remote attacker could use a specially crafted regular expression to cause PostgreSQL to crash or possibly execute arbitrary code.


Affected Packages:

postgresql94,postgresql93,postgresql92


Issue Correction:
Run yum update postgresql94 to update your system.
Run yum update postgresql93 to update your system.
Run yum update postgresql92 to update your system.

New Packages:
i686:
    postgresql93-contrib-9.3.11-1.61.amzn1.i686
    postgresql93-debuginfo-9.3.11-1.61.amzn1.i686
    postgresql93-server-9.3.11-1.61.amzn1.i686
    postgresql93-9.3.11-1.61.amzn1.i686
    postgresql93-pltcl-9.3.11-1.61.amzn1.i686
    postgresql93-docs-9.3.11-1.61.amzn1.i686
    postgresql93-plperl-9.3.11-1.61.amzn1.i686
    postgresql93-devel-9.3.11-1.61.amzn1.i686
    postgresql93-test-9.3.11-1.61.amzn1.i686
    postgresql93-libs-9.3.11-1.61.amzn1.i686
    postgresql93-plpython27-9.3.11-1.61.amzn1.i686
    postgresql93-plpython26-9.3.11-1.61.amzn1.i686
    postgresql92-plpython27-9.2.15-1.57.amzn1.i686
    postgresql92-server-9.2.15-1.57.amzn1.i686
    postgresql92-plpython26-9.2.15-1.57.amzn1.i686
    postgresql92-pltcl-9.2.15-1.57.amzn1.i686
    postgresql92-docs-9.2.15-1.57.amzn1.i686
    postgresql92-contrib-9.2.15-1.57.amzn1.i686
    postgresql92-test-9.2.15-1.57.amzn1.i686
    postgresql92-9.2.15-1.57.amzn1.i686
    postgresql92-devel-9.2.15-1.57.amzn1.i686
    postgresql92-plperl-9.2.15-1.57.amzn1.i686
    postgresql92-libs-9.2.15-1.57.amzn1.i686
    postgresql92-server-compat-9.2.15-1.57.amzn1.i686
    postgresql92-debuginfo-9.2.15-1.57.amzn1.i686
    postgresql94-server-9.4.6-1.66.amzn1.i686
    postgresql94-plperl-9.4.6-1.66.amzn1.i686
    postgresql94-devel-9.4.6-1.66.amzn1.i686
    postgresql94-libs-9.4.6-1.66.amzn1.i686
    postgresql94-plpython26-9.4.6-1.66.amzn1.i686
    postgresql94-plpython27-9.4.6-1.66.amzn1.i686
    postgresql94-contrib-9.4.6-1.66.amzn1.i686
    postgresql94-9.4.6-1.66.amzn1.i686
    postgresql94-test-9.4.6-1.66.amzn1.i686
    postgresql94-docs-9.4.6-1.66.amzn1.i686
    postgresql94-debuginfo-9.4.6-1.66.amzn1.i686

src:
    postgresql93-9.3.11-1.61.amzn1.src
    postgresql92-9.2.15-1.57.amzn1.src
    postgresql94-9.4.6-1.66.amzn1.src

x86_64:
    postgresql93-test-9.3.11-1.61.amzn1.x86_64
    postgresql93-9.3.11-1.61.amzn1.x86_64
    postgresql93-docs-9.3.11-1.61.amzn1.x86_64
    postgresql93-devel-9.3.11-1.61.amzn1.x86_64
    postgresql93-plpython26-9.3.11-1.61.amzn1.x86_64
    postgresql93-pltcl-9.3.11-1.61.amzn1.x86_64
    postgresql93-plperl-9.3.11-1.61.amzn1.x86_64
    postgresql93-contrib-9.3.11-1.61.amzn1.x86_64
    postgresql93-server-9.3.11-1.61.amzn1.x86_64
    postgresql93-debuginfo-9.3.11-1.61.amzn1.x86_64
    postgresql93-libs-9.3.11-1.61.amzn1.x86_64
    postgresql93-plpython27-9.3.11-1.61.amzn1.x86_64
    postgresql92-server-compat-9.2.15-1.57.amzn1.x86_64
    postgresql92-contrib-9.2.15-1.57.amzn1.x86_64
    postgresql92-devel-9.2.15-1.57.amzn1.x86_64
    postgresql92-server-9.2.15-1.57.amzn1.x86_64
    postgresql92-9.2.15-1.57.amzn1.x86_64
    postgresql92-plperl-9.2.15-1.57.amzn1.x86_64
    postgresql92-pltcl-9.2.15-1.57.amzn1.x86_64
    postgresql92-libs-9.2.15-1.57.amzn1.x86_64
    postgresql92-plpython26-9.2.15-1.57.amzn1.x86_64
    postgresql92-debuginfo-9.2.15-1.57.amzn1.x86_64
    postgresql92-test-9.2.15-1.57.amzn1.x86_64
    postgresql92-docs-9.2.15-1.57.amzn1.x86_64
    postgresql92-plpython27-9.2.15-1.57.amzn1.x86_64
    postgresql94-libs-9.4.6-1.66.amzn1.x86_64
    postgresql94-plpython27-9.4.6-1.66.amzn1.x86_64
    postgresql94-server-9.4.6-1.66.amzn1.x86_64
    postgresql94-test-9.4.6-1.66.amzn1.x86_64
    postgresql94-plpython26-9.4.6-1.66.amzn1.x86_64
    postgresql94-plperl-9.4.6-1.66.amzn1.x86_64
    postgresql94-contrib-9.4.6-1.66.amzn1.x86_64
    postgresql94-debuginfo-9.4.6-1.66.amzn1.x86_64
    postgresql94-devel-9.4.6-1.66.amzn1.x86_64
    postgresql94-docs-9.4.6-1.66.amzn1.x86_64
    postgresql94-9.4.6-1.66.amzn1.x86_64